Package org.apache.qpid.proton.amqp.messaging

# Class Terminus

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Terminus

Direct Known Subclasses:
  `Source`, `Target`

public abstract class Terminus extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Terminus(Terminus other)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getAddress()`
`final Symbol[]`
`getCapabilities()`
`final TerminusDurability`
`getDurable()`
`final boolean`
`getDynamic()`
`final Map`
`getDynamicNodeProperties()`
`final TerminusExpiryPolicy`
`getExpiryPolicy()`
`final UnsignedInteger`
`getTimeout()`
`final void`
`setAddress(String address)`
`final void`
`setCapabilities(Symbol... capabilities)`
`final void`
`setDurable(TerminusDurability durable)`
`final void`
`setDynamic(boolean dynamic)`
`final void`
`setDynamicNodeProperties(Map dynamicNodeProperties)`
`final void`
`setExpiryPolicy(TerminusExpiryPolicy expiryPolicy)`
`final void`
`setTimeout(UnsignedInteger timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Terminus

protected Terminus(Terminus other)

## Method Details

### getAddress

public final String getAddress()

### setAddress

public final void setAddress(String address)

### getDurable

public final TerminusDurability getDurable()

### setDurable

public final void setDurable(TerminusDurability durable)

### getExpiryPolicy

public final TerminusExpiryPolicy getExpiryPolicy()

### setExpiryPolicy

public final void setExpiryPolicy(TerminusExpiryPolicy expiryPolicy)

### getTimeout

public final UnsignedInteger getTimeout()

### setTimeout

public final void setTimeout(UnsignedInteger timeout)

### getDynamic

public final boolean getDynamic()

### setDynamic

public final void setDynamic(boolean dynamic)

### getDynamicNodeProperties

public final Map getDynamicNodeProperties()

### setDynamicNodeProperties

public final void setDynamicNodeProperties(Map dynamicNodeProperties)

### getCapabilities

public final Symbol[] getCapabilities()

### setCapabilities

public final void setCapabilities(Symbol... capabilities)